*** art.c.old	Thu Jan 25 20:51:50 1990
--- art.c	Tue Sep 11 21:09:11 1990
***************
*** 193,198 ****
--- 193,201 ----
  		restart = Nullch;	/* and reset the flag */
  	    }
  	    else {			/* not a restart */
+ 		/* em@dce.ie: look up From in prejudice database. */
+ 		if (in_header == FROM_LINE)
+ 			linenum += checkfrom(art_buf);
  		if (fgets(art_buf,LBUFLEN,artfp)==Nullch) {
  					/* if all done */
  		    mode = oldmode;
*** Makefile.old	Sat Jan 20 18:15:38 1990
--- Makefile	Mon Aug 13 22:32:49 1990
***************
*** 55,61 ****
  h1 = addng.h art.h artio.h artsrch.h backpage.h bits.h cheat.h common.h
  h2 = final.h head.h help.h init.h intrp.h kfile.h last.h ndir.h ng.h
  h3 = ngdata.h ngsrch.h ngstuff.h only.h rcln.h rcstuff.h
! h4 = respond.h rn.h search.h sw.h term.h util.h
  
  h = $(h1) $(h2) $(h3) $(h4) $(h5)
  
--- 55,61 ----
  h1 = addng.h art.h artio.h artsrch.h backpage.h bits.h cheat.h common.h
  h2 = final.h head.h help.h init.h intrp.h kfile.h last.h ndir.h ng.h
  h3 = ngdata.h ngsrch.h ngstuff.h only.h rcln.h rcstuff.h
! h4 = respond.h rn.h search.h sw.h term.h util.h stb.h
  
  h = $(h1) $(h2) $(h3) $(h4) $(h5)
  
***************
*** 62,68 ****
  c1 = addng.c art.c artio.c artsrch.c backpage.c bits.c cheat.c
  c2 = final.c head.c help.c init.c intrp.c kfile.c last.c $(NDIRC) ng.c
  c3 = ngdata.c ngsrch.c ngstuff.c only.c rcln.c rcstuff.c
! c4 = respond.c rn.c search.c sw.c term.c util.c
  
  c = $(c1) $(c2) $(c3) $(c4) $(c5)
  
--- 62,68 ----
  c1 = addng.c art.c artio.c artsrch.c backpage.c bits.c cheat.c
  c2 = final.c head.c help.c init.c intrp.c kfile.c last.c $(NDIRC) ng.c
  c3 = ngdata.c ngsrch.c ngstuff.c only.c rcln.c rcstuff.c
! c4 = respond.c rn.c search.c sw.c term.c util.c checkfrom.c stb.c
  
  c = $(c1) $(c2) $(c3) $(c4) $(c5)
  
***************
*** 69,75 ****
  obj1 = addng.o art.o artio.o artsrch.o backpage.o bits.o cheat.o
  obj2 = final.o head.o help.o init.o intrp.o kfile.o last.o $(NDIRO) ng.o
  obj3 = ngdata.o ngsrch.o ngstuff.o only.o rcln.o rcstuff.o
! obj4 = respond.o rn.o search.o sw.o term.o util.o
  
  obj = $(obj1) $(obj2) $(obj3) $(obj4) $(obj5)
  
--- 69,75 ----
  obj1 = addng.o art.o artio.o artsrch.o backpage.o bits.o cheat.o
  obj2 = final.o head.o help.o init.o intrp.o kfile.o last.o $(NDIRO) ng.o
  obj3 = ngdata.o ngsrch.o ngstuff.o only.o rcln.o rcstuff.o
! obj4 = respond.o rn.o search.o sw.o term.o util.o checkfrom.o stb.o
  
  obj = $(obj1) $(obj2) $(obj3) $(obj4) $(obj5)
  
*** Makefile.SH.old	Sat Jan 20 17:57:51 1990
--- Makefile.SH	Mon Aug 13 16:26:13 1990
***************
*** 64,70 ****
  h1 = addng.h art.h artio.h artsrch.h backpage.h bits.h cheat.h common.h
  h2 = final.h head.h help.h init.h intrp.h kfile.h last.h ndir.h ng.h
  h3 = ngdata.h ngsrch.h ngstuff.h only.h rcln.h rcstuff.h
! h4 = respond.h rn.h search.h sw.h term.h util.h
  #NNTPh5 = server.h
  
  h = $(h1) $(h2) $(h3) $(h4) $(h5)
--- 64,70 ----
  h1 = addng.h art.h artio.h artsrch.h backpage.h bits.h cheat.h common.h
  h2 = final.h head.h help.h init.h intrp.h kfile.h last.h ndir.h ng.h
  h3 = ngdata.h ngsrch.h ngstuff.h only.h rcln.h rcstuff.h
! h4 = respond.h rn.h search.h sw.h term.h util.h stb.h
  #NNTPh5 = server.h
  
  h = $(h1) $(h2) $(h3) $(h4) $(h5)
***************
*** 72,78 ****
  c1 = addng.c art.c artio.c artsrch.c backpage.c bits.c cheat.c
  c2 = final.c head.c help.c init.c intrp.c kfile.c last.c $(NDIRC) ng.c
  c3 = ngdata.c ngsrch.c ngstuff.c only.c rcln.c rcstuff.c
! c4 = respond.c rn.c search.c sw.c term.c util.c
  #NNTPc5 = $(NNTPDIR)/common/clientlib.c
  
  c = $(c1) $(c2) $(c3) $(c4) $(c5)
--- 72,78 ----
  c1 = addng.c art.c artio.c artsrch.c backpage.c bits.c cheat.c
  c2 = final.c head.c help.c init.c intrp.c kfile.c last.c $(NDIRC) ng.c
  c3 = ngdata.c ngsrch.c ngstuff.c only.c rcln.c rcstuff.c
! c4 = respond.c rn.c search.c sw.c term.c util.c checkfrom.c stb.c
  #NNTPc5 = $(NNTPDIR)/common/clientlib.c
  
  c = $(c1) $(c2) $(c3) $(c4) $(c5)
***************
*** 80,86 ****
  obj1 = addng.o art.o artio.o artsrch.o backpage.o bits.o cheat.o
  obj2 = final.o head.o help.o init.o intrp.o kfile.o last.o $(NDIRO) ng.o
  obj3 = ngdata.o ngsrch.o ngstuff.o only.o rcln.o rcstuff.o
! obj4 = respond.o rn.o search.o sw.o term.o util.o
  #NNTPobj5 =  $(NNTPDIR)/common/clientlib.o
  
  obj = $(obj1) $(obj2) $(obj3) $(obj4) $(obj5)
--- 80,86 ----
  obj1 = addng.o art.o artio.o artsrch.o backpage.o bits.o cheat.o
  obj2 = final.o head.o help.o init.o intrp.o kfile.o last.o $(NDIRO) ng.o
  obj3 = ngdata.o ngsrch.o ngstuff.o only.o rcln.o rcstuff.o
! obj4 = respond.o rn.o search.o sw.o term.o util.o checkfrom.o stb.o
  #NNTPobj5 =  $(NNTPDIR)/common/clientlib.o
  
  obj = $(obj1) $(obj2) $(obj3) $(obj4) $(obj5)
